com.lowagie.text.rtf.table

## Class RtfRow

- java.lang.Object
- - com.lowagie.text.rtf.RtfElement
  - - com.lowagie.text.rtf.table.RtfRow

All Implemented Interfaces:
  RtfBasicElement, RtfElementInterface

    public class RtfRow
    extends RtfElement

The RtfRow wraps one Row for a RtfTable. INTERNAL USE ONLY

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Steffen Stundzig, Lorenz Maierhofer, Thomas Bickel (tmb99@inode.at)

### Field Summary

Fields
`private java.util.ArrayList` `cells` The cells of this RtfRow
`private RtfTable` `parentTable` The RtfTable this RtfRow belongs to
`private static byte[]` `ROW_ALIGN_CENTER` Constant for center alignment of this RtfRow
`private static byte[]` `ROW_ALIGN_JUSTIFIED` Constant for justified alignment of this RtfRow
`private static byte[]` `ROW_ALIGN_LEFT` Constant for left alignment of this RtfRow
`private static byte[]` `ROW_ALIGN_RIGHT` Constant for right alignment of this RtfRow
`private static byte[]` `ROW_BEGIN` Constant for the RtfRow beginning
`private static byte[]` `ROW_CELL_PADDING_LEFT` Constant for the cell left padding
`private static byte[]` `ROW_CELL_PADDING_LEFT_STYLE` Constant for the cell left padding style
`private static byte[]` `ROW_CELL_PADDING_RIGHT` Constant for the cell right padding
`private static byte[]` `ROW_CELL_PADDING_RIGHT_STYLE` Constant for the cell right padding style
`private static byte[]` `ROW_CELL_SPACING_BOTTOM` Constant for the cell bottom spacing
`private static byte[]` `ROW_CELL_SPACING_BOTTOM_STYLE` Constant for the cell bottom spacing style
`private static byte[]` `ROW_CELL_SPACING_LEFT` Constant for the cell left spacing
`private static byte[]` `ROW_CELL_SPACING_LEFT_STYLE` Constant for the cell left spacing style
`private static byte[]` `ROW_CELL_SPACING_RIGHT` Constant for the cell right spacing
`private static byte[]` `ROW_CELL_SPACING_RIGHT_STYLE` Constant for the cell right spacing style
`private static byte[]` `ROW_CELL_SPACING_TOP` Constant for the cell top spacing
`private static byte[]` `ROW_CELL_SPACING_TOP_STYLE` Constant for the cell top spacing style
`private static byte[]` `ROW_END` Constant for the end of a row
`private static byte[]` `ROW_GRAPH` Constant for the graph style of this RtfRow
`private static byte[]` `ROW_HEADER_ROW` Constant to specify that this is a header RtfRow
`private static byte[]` `ROW_KEEP_TOGETHER` Constant to specify that this RtfRow are not to be broken across pages
`private static byte[]` `ROW_WIDTH` Constant for the RtfRow width
`private static byte[]` `ROW_WIDTH_STYLE` Constant for the RtfRow width style
`private int` `rowNumber` The row number
`private int` `width` The width of this row

### Fields inherited from class com.lowagie.text.rtf.RtfElement

`document, inHeader, inTable`

### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

### Constructor Summary

Constructors
`protected` `RtfRow(RtfDocument doc, RtfTable rtfTable, PdfPRow row, int rowNumber)` Constructs a RtfRow for a Row.
`protected` `RtfRow(RtfDocument doc, RtfTable rtfTable, Row row, int rowNumber)` Constructs a RtfRow for a Row.

### Method Summary

Methods
`protected void` `cleanRow()` Cleans the deleted RtfCells from the total RtfCells.
`protected java.util.ArrayList` `getCells()` Gets the cells of this RtfRow
`protected RtfTable` `getParentTable()` Gets the parent RtfTable of this RtfRow
`protected void` `handleCellSpanning()` Performs a second pass over all cells to handle cell row/column spanning.
`private void` `importRow(PdfPRow row)` Imports a PdfPRow and copies all settings
`private void` `importRow(Row row)` Imports a Row and copies all settings
`void` `writeContent(java.io.OutputStream result)` Writes the content of this RtfRow
`private void` `writeRowDefinition(java.io.OutputStream result)` Writes the row definition/settings.

### Methods inherited from class com.lowagie.text.rtf.RtfElement

`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROW_BEGIN

    private static final byte[] ROW_BEGIN

Constant for the RtfRow beginning

#### ROW_WIDTH_STYLE

    private static final byte[] ROW_WIDTH_STYLE

Constant for the RtfRow width style

#### ROW_WIDTH

    private static final byte[] ROW_WIDTH

Constant for the RtfRow width

#### ROW_KEEP_TOGETHER

    private static final byte[] ROW_KEEP_TOGETHER

Constant to specify that this RtfRow are not to be broken across pages

#### ROW_HEADER_ROW

    private static final byte[] ROW_HEADER_ROW

Constant to specify that this is a header RtfRow

#### ROW_ALIGN_LEFT

    private static final byte[] ROW_ALIGN_LEFT

Constant for left alignment of this RtfRow

#### ROW_ALIGN_RIGHT

    private static final byte[] ROW_ALIGN_RIGHT

Constant for right alignment of this RtfRow

#### ROW_ALIGN_CENTER

    private static final byte[] ROW_ALIGN_CENTER

Constant for center alignment of this RtfRow

#### ROW_ALIGN_JUSTIFIED

    private static final byte[] ROW_ALIGN_JUSTIFIED

Constant for justified alignment of this RtfRow

#### ROW_GRAPH

    private static final byte[] ROW_GRAPH

Constant for the graph style of this RtfRow

#### ROW_CELL_SPACING_LEFT

    private static final byte[] ROW_CELL_SPACING_LEFT

Constant for the cell left spacing

#### ROW_CELL_SPACING_TOP

    private static final byte[] ROW_CELL_SPACING_TOP

Constant for the cell top spacing

#### ROW_CELL_SPACING_RIGHT

    private static final byte[] ROW_CELL_SPACING_RIGHT

Constant for the cell right spacing

#### ROW_CELL_SPACING_BOTTOM

    private static final byte[] ROW_CELL_SPACING_BOTTOM

Constant for the cell bottom spacing

#### ROW_CELL_SPACING_LEFT_STYLE

    private static final byte[] ROW_CELL_SPACING_LEFT_STYLE

Constant for the cell left spacing style

#### ROW_CELL_SPACING_TOP_STYLE

    private static final byte[] ROW_CELL_SPACING_TOP_STYLE

Constant for the cell top spacing style

#### ROW_CELL_SPACING_RIGHT_STYLE

    private static final byte[] ROW_CELL_SPACING_RIGHT_STYLE

Constant for the cell right spacing style

#### ROW_CELL_SPACING_BOTTOM_STYLE

    private static final byte[] ROW_CELL_SPACING_BOTTOM_STYLE

Constant for the cell bottom spacing style

#### ROW_CELL_PADDING_LEFT

    private static final byte[] ROW_CELL_PADDING_LEFT

Constant for the cell left padding

#### ROW_CELL_PADDING_RIGHT

    private static final byte[] ROW_CELL_PADDING_RIGHT

Constant for the cell right padding

#### ROW_CELL_PADDING_LEFT_STYLE

    private static final byte[] ROW_CELL_PADDING_LEFT_STYLE

Constant for the cell left padding style

#### ROW_CELL_PADDING_RIGHT_STYLE

    private static final byte[] ROW_CELL_PADDING_RIGHT_STYLE

Constant for the cell right padding style

#### ROW_END

    private static final byte[] ROW_END

Constant for the end of a row

#### parentTable

    private RtfTable parentTable

The RtfTable this RtfRow belongs to

#### cells

    private java.util.ArrayList cells

The cells of this RtfRow

#### width

    private int width

The width of this row

#### rowNumber

    private int rowNumber

The row number

### Constructor Detail

#### RtfRow

    protected RtfRow(RtfDocument doc,
          RtfTable rtfTable,
          Row row,
          int rowNumber)

Constructs a RtfRow for a Row.

Parameters:
  `doc` - The RtfDocument this RtfRow belongs to
  `rtfTable` - The RtfTable this RtfRow belongs to
  `row` - The Row this RtfRow is based on
  `rowNumber` - The number of this row

#### RtfRow

    protected RtfRow(RtfDocument doc,
          RtfTable rtfTable,
          PdfPRow row,
          int rowNumber)

Constructs a RtfRow for a Row.

Parameters:
  `doc` - The RtfDocument this RtfRow belongs to
  `rtfTable` - The RtfTable this RtfRow belongs to
  `row` - The Row this RtfRow is based on
  `rowNumber` - The number of this row
Since:
  2.1.3

### Method Detail

#### importRow

    private void importRow(Row row)

Imports a Row and copies all settings

Parameters:
  `row` - The Row to import

#### importRow

    private void importRow(PdfPRow row)

Imports a PdfPRow and copies all settings

Parameters:
  `row` - The PdfPRow to import
Since:
  2.1.3

#### handleCellSpanning

    protected void handleCellSpanning()

Performs a second pass over all cells to handle cell row/column spanning.

#### cleanRow

    protected void cleanRow()

Cleans the deleted RtfCells from the total RtfCells.

#### writeRowDefinition

    private void writeRowDefinition(java.io.OutputStream result)
                             throws java.io.IOException

Writes the row definition/settings.

Parameters:
  `result` - The `OutputStream` to write the definitions to.
Throws:
  `java.io.IOException`

#### writeContent

    public void writeContent(java.io.OutputStream result)
                      throws java.io.IOException

Writes the content of this RtfRow

Specified by:
  `writeContent` in interface `RtfBasicElement`
Specified by:
  `writeContent` in class `RtfElement`
Parameters:
  `result` - The `OutputStream` to write the content to
Throws:
  `java.io.IOException`

#### getParentTable

    protected RtfTable getParentTable()

Gets the parent RtfTable of this RtfRow

Returns:
  The parent RtfTable of this RtfRow

#### getCells

    protected java.util.ArrayList getCells()

Gets the cells of this RtfRow

Returns:
  The cells of this RtfRow